-- Event Timer Reader by David Down

xpat = "<Examine:.+>(%[.-%])<\\Examine>"

local function cnt(list)
	local n = 0
	for k in pairs(list) do n=n+1; end
	return n
end

if not arg[1] then error("No path") end
fname = "ET_Data.plugindata"
Event = assert(loadfile(arg[1]..fname))()
if not Event then exit(1) end

if type(Event) ~= "table" then
	error("No data.")
end

print( "Event Timer events:" )
ix = {}
nr,now = 0, os.time()
for time,desc in pairs(Event) do
	if time>0 then
		hr = (time-now)/3600
		nr = nr+1
		ix[nr] = time
	end
end
if nr<1 then
	print("No active events" )
	return
end
table.sort(ix)
print( " #  Hours Description" )
for nr,time in ipairs(ix) do
	str = Event[time]
	str = str:gsub(xpat,"%1") -- Remove item ID packaging
	hr = (time-now)/3600
	print( string.format("%2i %6.1f %s",nr,hr,str) )
end

--io.read() -- pause
